Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11Store

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Store

All Implemented Interfaces:
  CryptoStore

public final class PK11Store
extends java.lang.Object
implements CryptoStore

Field Summary
`protected TokenProxy` | `storeProxy`
`protected boolean` | `updated`

Constructor Summary
`protected` | `PK11Store()`
`` | `PK11Store(TokenProxy proxy)`

Method Summary
`void` | `deleteCert(X509Certificate cert)` Deletes a certificate from a token.
`void` | `deletePrivateKey(PrivateKey key)` Deletes the given PrivateKey from the CryptoToken.
`X509Certificate[]` | `getCertificates()` Returns all user certificates stored on this token.
`PrivateKey[]` | `getPrivateKeys()` Returns all private keys stored on this token.
`void` | `importPrivateKey(byte[] key, PrivateKey.Type type)` Imports a raw private key into this token.
`protected void` | `putCertsInVector(java.util.Vector certs)`
`protected void` | `putKeysInVector(java.util.Vector keys)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### updated

    protected boolean updated

### storeProxy

    protected TokenProxy storeProxy

Constructor Detail

### PK11Store

    public PK11Store(TokenProxy proxy)

### PK11Store

    protected PK11Store()

Method Detail

### importPrivateKey

    public void importPrivateKey(byte[] key,
                                 PrivateKey.Type type)
                          throws TokenException,
                                 KeyAlreadyImportedException

  Imports a raw private key into this token.
  Specified by:
    `importPrivateKey` in interface `CryptoStore`
  Parameters:
    `key` - The private key.
  Throws:
    `TokenException` - If the key cannot be imported to this token.
    `KeyAlreadyImportedException` - If the key already on this token.

### getPrivateKeys

    public PrivateKey[] getPrivateKeys()
                                throws TokenException

  Description copied from interface: `CryptoStore`
  Returns all private keys stored on this token.
  Specified by:
    `getPrivateKeys` in interface `CryptoStore`
  Following copied from interface: `org.mozilla.jss.crypto.CryptoStore`
  Returns:
    An array of all private keys stored on this token.
  Throws:
    `TokenException` - If an error occurs on the token while gathering the keys.

### putKeysInVector

    protected void putKeysInVector(java.util.Vector keys)
                            throws TokenException

### deletePrivateKey

    public void deletePrivateKey(PrivateKey key)
                          throws NoSuchItemOnTokenException,
                                 TokenException

  Description copied from interface: `CryptoStore`
  Deletes the given PrivateKey from the CryptoToken. This is a very dangerous call: it deletes the key from the underlying token. After calling this, the PrivateKey passed in must no longer be used, or a TokenException will occur.
  Specified by:
    `deletePrivateKey` in interface `CryptoStore`
  Following copied from interface: `org.mozilla.jss.crypto.CryptoStore`
  Parameters:
    `key` - A PrivateKey to be permanently deleted. It must reside on this token.
  Throws:
    `NoSuchItemOnTokenException` - If the given privae key does not reside on this token.
    `TokenException` - If an error occurs on the token while deleting the key.

### getCertificates

    public X509Certificate[] getCertificates()
                                      throws TokenException

  Description copied from interface: `CryptoStore`
  Returns all user certificates stored on this token. A user certificate is one that has a matching private key.
  Specified by:
    `getCertificates` in interface `CryptoStore`
  Following copied from interface: `org.mozilla.jss.crypto.CryptoStore`
  Returns:
    An array of all user certificates present on this token.
  Throws:
    `TokenException` - If an error occurs on the token while gathering the certificates.

### putCertsInVector

    protected void putCertsInVector(java.util.Vector certs)
                             throws TokenException

### deleteCert

    public void deleteCert(X509Certificate cert)
                    throws NoSuchItemOnTokenException,
                           TokenException

  Description copied from interface: `CryptoStore`
  Deletes a certificate from a token.
  Specified by:
    `deleteCert` in interface `CryptoStore`
  Following copied from interface: `org.mozilla.jss.crypto.CryptoStore`
  Parameters:
    `cert` - A certificate to be deleted from this token. The cert must actually reside on this token.
  Throws:
    `NoSuchItemOnTokenException` - If the given cert does not reside on this token.
    `TokenException` - If an error occurred on the token while deleting the certificate.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD